Subject: Xinerama merger -- part 1

From: "Dmitry Yu. Bolkhovityanov" <[email-masked]>
Date: Thu, 26 Jul 2001 17:43:39 +0700

Hi!

    That's part 1 of XineramaSupport v2 merger.  It contains
libs/XineramaSupport.[ch] as drop-in replacements.  Next part will be
configure script, followed by modules.

    The only change required is to fvwm/menus.c -- to use
XiSuppClipToScreenAt() instead of XiSuppClipToScreen() (the first of them
appeared in XiSupp after february version).

    Dominik, I have a question/correction regarding your changes to XiSupp.c.
The XiSuppDisable() was intended as a mechanism to hard-disable Xinerama,
while XiSuppSetState() -- to turn it on/off on the fly.  As I understood,
you changed XiSuppSetState() to be internal call, while
XiSupp{Enable,Disable} are used as previously XiSuppSetState().  Am I right?

       ___________________________________________________________________
       Dmitry Yu. Bolkhovityanov  |  Novosibirsk, RUSSIA
       phone (383-2)-39-49-56     |  The Budker Institute of Nuclear Physics
                                  |  Lab. 5-13

This message contains a file prepared for transmission using the
MIME BASE64 transfer encoding scheme. If you are using Pegasus
Mail or another MIME-compliant system, you should be able to extract
it from within your mailer. If you cannot, please ask your system
administrator for help.

   ---- File information -----------
     File:  FXNR_P1.TGZ
     Date:  26 Jul 2001, 17:17
     Size:  7298 bytes.
     Type:  Binary

---

From: Dominik Vogt <[email-masked]>
Date: Fri, 27 Jul 2001 10:32:15 +0200

On Thu, Jul 26, 2001 at 05:43:39PM +0700, Dmitry Yu. Bolkhovityanov wrote:
Content-Description: Mail message body
> appeared in XiSupp after february version).

I will start applying your patches as soon as possible.  Since my
mother pays me a visit this weekend I can't promise that I'll have
the time.

> XiSupp{Enable,Disable} are used as previously XiSuppSetState().  Am I right?

Yes.  I did not understand this logic and I did not want that the
interface of XiSetState() was visible outside the module because
it has an interface that can be called in a way that would crash
fvwm later.  I think a simple on/off call is enough.  Also, it is
more flexible if you can't disable Xinerama support completely.

Bye

Dominik ^_^  ^_^

-- 
Dominik Vogt, email: [email-masked]
LifeBits Aktiengesellschaft, Albrechtstr. 9, D-72072 Tuebingen
fon: ++49 (0) 7071/7965-0, fax: ++49 (0) 7071/7965-20
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dominik Vogt <[email-masked]>
Date: Fri, 27 Jul 2001 11:56:41 +0200

> XiSupp{Enable,Disable} are used as previously XiSuppSetState().  Am I right?

I just took the time to start merging the patch.  Please try to
write code keeping this in mind:

 - Code is written with 80 characters per line, a basic
   indentation width of 2.
 - Always compile the code with and without your ifdefs.  Remove
   all warnings (compile with 'make CFLAGS="-Wall -Werror -g").
 - Please keep in mind that that fvwm is controlled and configured
   by configuration commands, not by environment variables.  It's
   not necessary to make features configurable via the
   environment. (I'll remove the corresponding code).
 - Please try to use one of the formatting styles that is used in
   the fvwm code (indentation style).  Try not to put commands on
   the same line as a condition.
 - RandR support will certainly be no part of 2.4.1.  You should
   really try to split the patches you made on your disk into
   several patch files that can be applied individually.

One question about the XiParseGeometry function:  I don't
understand why is does so many things.  It really shouldn't do
more than just parsing the geometry string like XParseGeometry
does and use the same signature.  I'll comment out all the extra
stuff for now.

Bye

Dominik ^_^  ^_^